
/******************************************************************************/

.movie__main {
	padding-top: 20px;
}

.movie__section-title {
	font-size: 20px;
	color: var(--color-blue);
	text-transform: uppercase;
	font-family: var(--font-bold);
}

/******************************************************************************/

.movie__info {
	padding-top: 40px;
	display: grid;
	grid-template-columns: 300px 1fr;
	grid-column-gap: 40px;
	grid-row-gap: 20px;
}

.movie__info .cover {
	grid-row: span 2;
	position: relative;
	width: 100%;
}

.movie__info .cover img {
	width: 100%;
}

.movie__info .fields {
	display: grid;
	grid-template-columns: 200px 1fr;
	grid-gap: 10px;
}

.movie__info .fields .label {
	text-transform: uppercase;
	color: var(--color-blue);
	font-family: var(--font-bold);
}

.movie__info .genres {
	margin-bottom: 15px;
}

.movie__info .genres span {
	text-transform: capitalize;
}

.movie__info .embargo {
	grid-column: span 2;
	color: #c10101;
	text-transform: uppercase;
	font-family: var(--font-bold);
	text-align: center;
}

.movie__info .plot-label {
	grid-column: span 2;
	margin-top: 15px;
}

.movie__info .plot-value {
	grid-column: span 2;
	line-height: 1.5;
	text-align: justify;
}

.movie__info .actions {
	display: flex;
}

.movie__info .actions .license,
.movie__info .actions .mplcgo {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	background-color: var(--color-blue);
	border-radius: 8px;
	color: #fff;
	text-transform: uppercase;
	font-family: var(--font-bold);
	font-size: 16px;
	width: 190px;
	height: 70px;
	box-sizing: border-box;
}

.movie__info .actions a:hover {
	opacity: 0.8;
}

.movie__info .actions .license div:last-child {
	margin-top: 3px;
	color: var(--color-yellow);
}

.movie__info .actions .mplcgo {
	padding-top: 5px;
}

.movie__info .actions .mplcgo img {
	width: 100px;
}

.movie__info .actions .spacer {
	flex: 1;
}

.movie__info .actions .spacer:first-child,
.movie__info .actions .spacer:last-child {
	flex: 2;
}

@media screen and (max-width: 1000px) {
	.movie__info {
		padding-top: 30px;
		grid-column-gap: 20px;
	}
	.movie__info .cover {
		grid-row: span 1;
	}
	.movie__info .actions {
		grid-column: span 2;
	}
	.movie__info .fields {
		display: block;
	}
	.movie__info .fields .label {
		font-size: 14px;
		margin-top: 10px;
	}
	.movie__info .fields .label:first-child {
		margin-top: 0;
	}
}

@media screen and (max-width: 800px) {
	.movie__info {
		padding-top: 20px;
		grid-template-columns: 1fr;
	}
	.movie__info .cover {
		display: flex;
		justify-content: center;
	}
	.movie__info .cover img {
		width: 80vw;
		max-width: 300px;
	}
	.movie__info .actions {
		grid-column: span 1;
	}
}

@media screen and (max-width: 500px) {
	.movie__info .actions {
		flex-direction: column;
		align-items: center;
		margin-top: 5px;
	}
	.movie__info .actions .spacer {
		display: none;
	}
	.movie__info .actions .mplcgo {
		margin-top: 25px;
	}
}

/******************************************************************************/

.movie__trailer {
	padding-top: 60px;
	display: flex;
	justify-content: center;
	max-width: 800px;
	margin: 0 auto;
}

.movie__trailer .container {
	position: relative;
	display: flex;
	width: 100%;
	padding-bottom: 56.25%;
	background-color: #ddd;
}

.movie__trailer iframe {
	position: absolute;
	border: none;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

/******************************************************************************/

.movie__similar {
	padding-top: 60px;
}

.movie__similar .similar {
	margin-top: 20px;
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
	grid-gap: 20px;
}

@media screen and (max-width: 800px) {
	.movie__similar .similar {
		grid-gap: 15px;
	}
}

@media screen and (max-width: 600px) {
	.movie__similar .similar {
		grid-template-columns: repeat(2, 1fr);
		grid-gap: 10px;
	}
}

/******************************************************************************/

.movie__collections {
	padding-top: 60px;
}

.movie__collections .collections {
	margin-top: 20px;
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
	grid-gap: 20px;
}


.info__main {
	padding-top: 20px;
}

.info__main .image {
	margin-top: 20px;
	height: 300px;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url(/res/images/common/info.jpg);
}

.info__main .body {
	margin-top: 20px;
	line-height: 1.8;
	width: 100%;
}

.info__main .body p {
	margin-top: 10px;
}

.info__main .action {
	margin-top: 20px;
	display: flex;
	justify-content: center;
}

.info__main .action a {
	color: var(--color-blue);
	background-color: var(--color-yellow);
	border-radius: 50px;
	padding: 12px 25px;
	text-transform: uppercase;
	font-size: 16px;
	font-family: var(--font-bold);
}

.info__main .action a:hover {
	opacity: 0.7;
}

/******************************************************************************/

.content__header-mobile {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	align-items: center;
	height: var(--header-height-mobile);
	background-color: var(--color-blue);
	z-index: var(--zindex-header);
	padding: 0 20px;
	user-select: none;
}

.content__header-mobile .logo {
	flex: 1;
}

.content__header-mobile a {
	display: block;
}

.content__header-mobile img {
	height: 40px;
	box-sizing: border-box;
}

.content__header-mobile svg {
	height: 30px;
	width: 30px;
	fill: #fff;
}

.content__header-mobile svg:hover {
	fill: var(--color-yellow);
	cursor: pointer;
}

@media screen and (max-width: 1000px) {
	.content__header-mobile {
		display: flex;
	}
}

/******************************************************************************/

.content__mobile-menu-overlay {
	display: none;
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: rgba(18, 21, 25, 0.98);
	z-index: var(--zindex-mobile-menu-overlay);
	visibility: hidden;
	opacity: 0;

	transition:
		opacity 0.2s ease,
		visibility 0.2s ease;
}

.content__mobile-menu-overlay-open {
	visibility: visible;
	opacity: 1;
}

.content__mobile-menu-overlay .close {
	display: flex;
	justify-content: flex-end;
	padding: 20px 20px 0px 20px;
}

.content__mobile-menu-overlay .close svg {
	width: 30px;
	height: 30px;
	fill: #666;
}

.content__mobile-menu-overlay .close svg:hover {
	fill: #fff;
	cursor: pointer;
}

.content__mobile-menu-overlay .links {
	display: flex;
	width: 100%;
	align-items: center;
	flex-direction: column;
	padding: 60px 10px 10px 10px;

	transition: padding-top 0.2s ease;
}

.content__mobile-menu-overlay-open .links {
	padding-top: 0;
}

.content__mobile-menu-overlay .link {
	color: #fff;
	font-family: var(--font-bold);
	font-size: 28px;
	margin-top: 25px;
}

.content__mobile-menu-overlay .button-link {
	font-size: 20px;
	padding: 15px 20px;
	border-radius: 40px;
	text-transform: uppercase;
	color: var(--color-blue);
	background-color: var(--color-yellow);
	font-family: var(--font-bold);
	text-align: center;
	margin-top: 50px;
}

.content__mobile-menu-overlay .languages {
	display: flex;
}

.content__mobile-menu-overlay .languages a {
	margin-top: 50px;
	margin-left: 20px;
}
.content__mobile-menu-overlay .languages a:first-child {
	margin-left: 0;
}

.content__mobile-menu-overlay .languages img {
	height: 30px;
}

@media screen and (max-width: 1000px) {
	.content__mobile-menu-overlay {
		display: block;
	}
}


/******************************************************************************/

.content__header {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	display: flex;
	justify-content: center;
	height: var(--header-height);
	background-color: var(--color-blue);
	z-index: var(--zindex-header);
	user-select: none;

	transition: height 0.2s ease;
}

.content__header-sticky {
	height: var(--header-height-pinned);
}

.content__header > div {
	display: flex;
	height: 100%;
	width: 100%;
	max-width: var(--site-width);
	box-sizing: border-box;
}

.content__header .logo {
	flex: 0 0 175px;
	display: flex;
	align-items: center;
	justify-content: center;

	transition: flex-basis 0.2s ease;
}

.content__header-sticky .logo {
	flex-basis: 110px !important;
}

.content__header .logo a img {
	width: 100%;
}

.content__header .links {
	flex: 1;
	display: flex;
	align-items: center;
	height: 100%;
}

.content__header .links:first-child {
	justify-content: flex-end;
}
.content__header .links:last-child {
	justify-content: flex-start;
}

.content__header .links .link {
	position: relative;
	display: flex;
	height: 100%;
}

.content__header .links .link:first-child {
	padding-left: 25px;
}

.content__header .links .spacer {
	flex: 1 0 10px;
}

.content__header .links .link > a {
	height: 100%;
	display: flex;
	align-items: center;
}

.content__header .links .link .label {
	display: flex;
	color: #fff;
	font-size: 14px;
	text-transform: uppercase;
	align-items: center;
	border-width: 2px 0;
	border-style: solid;
	border-color: var(--color-yellow-transparent);
	height: 80%;

	transition:
		height 0.2s ease,
		border-color 0.2s ease;
}

.content__header .links .link svg {
	margin-left: 5px;
	height: 10px;
	width: 10px;
	fill: #fff;
}

.content__header .links .link:hover .label {
	color: var(--color-yellow);
	height: 95%;
	border-color: var(--color-yellow);
}

.content__header .links a.button-link {
	font-size: 13px;
	padding: 10px 15px;
	border-radius: 20px;
	text-transform: uppercase;
	color: var(--color-blue);
	background-color: var(--color-yellow);
	font-family: var(--font-bold);
	text-align: center;

	transition: opacity 0.2s ease;
}

.content__header .links a.button-link:hover {
	opacity: 0.8;
}

@media screen and (max-width: 1200px) {
	.content__header .logo {
		flex: 0 0 110px;
	}
	.content__header .links .link .label {
		font-size: 13px;
	}
	.content__header .links a.button-link {
		font-size: 11px;
	}
}

@media screen and (max-width: 1000px) {
	.content__header {
		display: none;
	}
}

/******************************************************************************/

.content__header .menu {
	visibility: hidden;
	opacity: 0;
	position: absolute;
	top: var(--header-height);
	z-index: var(--zindex-dropdown-menu);
	margin-top: 20px;

	transition:
		opacity 0.2s ease,
		visibility 0.2s ease,
		top 0.2s ease;
}

.content__header-sticky .menu {
	top: var(--header-height-pinned);
}

.content__header .menu .pointer {
	position: absolute;
    width: 0;
    height: 0;
    top: -40px;
    border-width: 20px;
    border-style: solid;
    border-color: transparent;
    border-bottom-color: var(--color-blue);
}

.content__header .menu .body {
	padding: 20px;
	width: 250px;
	background-color: var(--color-blue);
}

/******************************************************************************/

.content__header .film-menu {
	left: 25px;
}

.content__header .film-link:hover .film-menu {
	visibility: visible;
	opacity: 1;
}

.content__header .film-menu .title {
	color: #fff;
	font-size: 16px;
}

.content__header .film-menu .search {
	display: flex;
	align-items: center;
	margin-top: 10px;
	border: solid 2px #fff;
	padding: 5px;
}

.content__header .film-menu .search input {
	flex: 1;
	background-color: transparent;
	color: #fff;
}

.content__header .film-menu .search svg {
	fill: var(--color-yellow);
	width: 20px;
	height: 20px;
}

.content__header .film-menu .loader {
	display: flex;
	justify-content: center;
	align-items: center;
	margin-top: 20px;
	height: 80px;
}

.content__header .film-menu .loader div {
	width: 48px;
	height: 48px;
}

.content__header .film-menu .no-results {
	display: flex;
	justify-content: center;
	align-items: center;
	margin-top: 20px;
	height: 80px;
	color: #fff;
	font-family: var(--font-bold);
}

.content__header .film-menu .results {
	padding-top: 20px;
}

.content__header .film-menu .result {
	display: flex;
	margin-bottom: 15px;
}

.content__header .film-menu .result:last-child {
	margin-bottom: 0px;
}

.content__header .film-menu .result:hover div:first-child {
	text-decoration: underline;
}

.content__header .film-menu .result > div:first-child {
	flex: 1;
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
	font-size: 14px;
	color: #fff;
	text-align: right;
}

.content__header .film-menu .result > div:last-child {
	flex: 0 0 12px;
	margin-left: 5px;
	height: 12px;
    border-width: 3px;
    border-style: solid;
    border-color: transparent;
    border-top-color: var(--color-yellow);
    border-right-color: var(--color-yellow);
    transform: rotate(45deg);
}

/******************************************************************************/

.content__header .collections-link:hover .collections-menu {
	visibility: visible;
	opacity: 1;
}

.content__header .collections-menu .item {
	display: flex;
	margin-bottom: 20px;
}

.content__header .collections-menu .item:last-child {
	margin-bottom: 0px;
}

.content__header .collections-menu .item:hover div:first-child {
	text-decoration: underline;
}

.content__header .collections-menu .item > div:first-child {
	width: 200px;
	text-align: right;
	font-size: 14px;
	color: #fff;
}

.content__header .collections-menu .item > div:last-child {
	width: 12px;
	height: 12px;
    border-width: 3px;
    border-style: solid;
    border-color: transparent;
    border-top-color: var(--color-yellow);
    border-right-color: var(--color-yellow);
    transform: rotate(45deg);
}

.content__header .collections-menu .loader {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 80px;
}

.content__header .collections-menu .loader div {
	width: 48px;
	height: 48px;
}

/******************************************************************************/

.content__header .language-link {
	padding-right: 25px;
}

.content__header .language-flag img {
	width: 30px;
}

.content__header .language-flag:hover img {
	opacity: 0.8;
}

.content__header .language-menu {
	right: 25px;
	display: flex;
	justify-content: flex-end;
}

.content__header .language-menu-body {
	padding: 20px;
	background-color: var(--color-blue);
}

.content__header .language-link:hover .language-menu {
	visibility: visible;
	opacity: 1;
}

.content__header .language-menu a {
	display: block;
	margin-top: 20px;
}

.content__header .language-menu a:first-child {
	margin-top: 0;
}

.content__header .language-menu img {
	width: 50px;
}


/******************************************************************************/

.content__main {
	position: relative;
	display: flex;
	flex-direction: column;
	min-height: 100vh;
}

/******************************************************************************/

.content__body {
	padding: var(--header-height) 20px 0 20px;
	flex: 1;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.content__narrow {
	width: 100%;
	box-sizing: border-box;
	max-width: var(--narrow-width);
}

.content__full {
	width: 100%;
	box-sizing: border-box;
	max-width: var(--site-width);
}

@media screen and (max-width: 1000px) {
	.content__body {
		padding-top: var(--header-height-mobile);
	}
}

/******************************************************************************/

.content__breadcrumbs {
	display: flex;
	padding-top: 20px;
	user-select: none;
}

.content__breadcrumbs a,
.content__breadcrumbs > div {
	font-size: 14px;
	color: var(--color-light-text);
	text-transform: uppercase;
}

.content__breadcrumbs > div {
	padding-right: 10px;
}

.content__breadcrumbs a:hover {
	text-decoration: underline;
}

.content__breadcrumbs > div:after {
	content: '/';
	padding-left: 10px;
}

.content__breadcrumbs > div:last-child:after {
	content: '';
}

@media screen and (max-width: 650px) {
	.content__breadcrumbs {
		display: none;
	}
}

/******************************************************************************/

.content__title {
	user-select: none;
	font-size: 28px;
	color: var(--color-blue);
	text-transform: uppercase;
	text-align: center;
	font-family: var(--font-bold);
}

.content__subtitle {
	user-select: none;
	font-size: 20px;
	color: var(--color-blue);
	text-align: center;
	margin-top: 8px;
}

@media screen and (max-width: 800px) {
	.content__title {
		font-size: 24px;
	}
	.content__subtitle {
		margin-top: 6px;
		font-size: 16px;
	}
}



/******************************************************************************/

.content__footer {
	flex: 0;
	display: flex;
	justify-content: center;
	background-color: var(--color-grey);
	padding: 30px;
	color: #fff;
	margin-top: 80px;
}

.content__footer > div {
	display: grid;
	grid-template-columns: 10fr 5fr 5fr 5fr;
	grid-gap: 20px;
	width: 100%;
	max-width: var(--site-width);
	box-sizing: border-box;
}

.content__footer a {
	color: #fff;
}
.content__footer a:hover {
	text-decoration: underline;
}

.content__footer .title {
	font-family: var(--font-bold);
	text-transform: uppercase;
	margin-bottom: 20px;
}

.content__footer .info {
	grid-row: span 2;
	padding-right: 40px;
}

.content__footer .info .body {
	font-size: 14px;
}

.content__footer .info .more {
	margin-top: 10px;
	font-family: var(--font-bold);
}

.content__footer .contacts {
	grid-row: span 2;
}

.content__footer .contacts .body {
	display: flex;
	flex-direction: column;
}

.content__footer .contact {
	display: flex;
	align-items: center;
}

.content__footer .icon {
	display: flex;
	align-items: center;
	justify-content: center;
	border: solid 1px #ccc;
	border-radius: 100px;
	width: 40px;
	height: 40px;
	padding: 8px;
	box-sizing: border-box;
}

.content__footer .icon svg {
	fill: #fff;
}

.content__footer .link-icon:hover {
	background-color: rgba(255, 255, 255, 0.5);
}

.content__footer .contact .text {
	display: flex;
	align-items: center;
	font-size: 14px;
	padding-left: 15px;
}

.content__footer .contacts .spacer {
	flex: 1 0 10px;
}

.content__footer .social .body {
	display: flex;
}

.content__footer .social .icon {
	margin-right: 10px;
}

.content__footer .social .icon:last-child {
	margin-right: 0;
}

.content__footer .newsletter .body {
	display: flex;
	justify-content: center;
}

.content__footer .copyright {
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	align-items: flex-end;
	text-align: right;
	font-size: 14px;
	grid-column: span 2;
}

@media screen and (max-width: 1000px) {
	.content__footer > div {
		grid-template-columns: 1fr;
		grid-gap: 40px;
	}

	.content__footer .title {
		margin-bottom: 10px;
	}

	.content__footer .info {
		grid-row: span 1;
		padding-right: 0;
	}

	.content__footer .contacts {
		grid-row: span 1;
	}

	.content__footer .newsletter .body {
		justify-content: flex-start;
	}

	.content__footer .copyright {
		grid-column: span 1;
		align-items: flex-start;
		text-align: left;
	}
}


.collection__header {
	width: 100%;
	margin-top: 20px;
	display: flex;
	align-items: flex-end;
}

.collection__header div:first-child,
.collection__header div:last-child {
	flex: 0 0 80px;
}

.collection__header div:nth-child(2) {
	flex: 1;
}

.collection__header .display-mode {
	display: flex;
	justify-content: flex-end;
}

.collection__header .display-mode a {
	margin-left: 15px;
}

.collection__header .display-mode a svg {
	width: 42px;
	height: 42px;
	fill: var(--color-light-text);
}

.collection__header .display-mode-grid a:first-child svg {
	fill: var(--color-blue);
}

.collection__header .display-mode-list a:last-child svg {
	fill: var(--color-blue);
}

.collection__header .display-mode a:hover svg {
	fill: var(--color-yellow);
}

@media screen and (max-width: 800px) {
	.collection__header {
		display: flex;
		align-items: center;
		flex-direction: column;
	}
	.collection__header > div:first-child {
		display: none;
	}
	.collection__header > div:last-child {
		margin-top: 20px;
		flex-basis: auto;
		justify-content: flex-end;
		width: 100%;
	}
	.collection__header .display-mode a {
		margin-left: 10px;
	}
	.collection__header .display-mode a svg {
		width: 32px;
		height: 32px;
	}
}

/******************************************************************************/

.collections__form {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.collections__form > div {
	margin-top: 50px;
	text-align: center;
	line-height: 1.6;
	color: var(--color-blue);
}

.collections__form a {
	background-color: var(--color-yellow);
	color: var(--color-blue);
	text-transform: uppercase;
	font-size: 14px;
	font-family: var(--font-bold);
	padding: 12px 20px;
	border-radius: 50px;
	margin-top: 15px;
	text-align: center;
}

.collections__form a:hover {
	opacity: 0.8;
}

/******************************************************************************/

.collections__grid {
	width: 100%;
	margin-top: 30px;
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
	grid-gap: 20px;
}

/******************************************************************************/

.collections__list {
}

.collections__list .collection {
	margin-top: 50px;
}
.collections__list .collection:first-child {
	margin-top: 20px;
}

.collections__list .collection .header {
	display: flex;
	align-items: baseline;
}

.collections__list .collection .name {
	text-transform: uppercase;
	color: var(--color-blue);
	font-family: var(--font-bold);
	font-size: 22px;
}

.collections__list .collection .link {
	display: flex;
	align-items: center;
	color: var(--color-yellow);
	font-size: 16px;
	margin-left: 10px;
}

.collections__list .collection .link:hover {
	text-decoration: underline;
}

.collections__list .collection svg {
	width: 14px;
	height: 14px;
	fill: var(--color-yellow);
	transform: rotate(-90deg);
	margin-left: 2px;
}

.collections__list .collection .description {
	color: var(--color-blue);
	font-size: 14px;
	margin-top: 2px;
}

.collections__list .collection .movies {
	margin-top: 10px;
	display: grid;
	grid-template-columns: repeat(6, 1fr);
	grid-gap: 20px;
}

@media screen and (max-width: 1000px) {
	.collections__list .collection .movies {
		grid-gap: 15px;
	}
}

@media screen and (max-width: 800px) {
	.collections__list .collection .header {
		display: block;
	}
	.collections__list .collection .name {
		font-size: 18px;
	}
	.collections__list .collection .link {
		margin-top: 5px;
		font-size: 16px;
		margin-left: 0;
	}
	.collections__list .collection .movies {
		grid-gap: 10px;
	}
	.collections__list .collection .description {
		display: none;
	}
}

@media screen and (max-width: 600px) {
	.collections__list .collection .movies {
		grid-template-columns: repeat(3, 1fr);
	}
}


.collection__main {
	padding-top: 20px;
}

.collection__titles {
	width: 100%;
	margin-top: 40px;
}

.collection__titles .results {
	width: 100%;
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
	grid-gap: 20px;
}

.collection__titles .movie__coming-soon:after {
    font-size: 14px;
}

.collection__titles .movie__new {
	border-width: 25px;
}

.collection__titles  .movie__new:after {
	font-size: 25px;
	top: -25px;
}

.collection__excel-button {
	margin-bottom: 30px;
	display: flex;
	justify-content: center;
}

.collection__excel-button > div {
	background-color: var(--color-yellow);
	color: var(--color-blue);
	text-transform: uppercase;
	font-size: 14px;
	font-family: var(--font-bold);
	padding: 12px 20px;
	border-radius: 50px;
	margin-bottom: 15px;
	text-align: center;
}

.collection__excel-button > div:hover {
	opacity: 0.8;
	cursor: pointer;
}

@media screen and (max-width: 800px) {
	.collection__titles .results {
		grid-gap: 15px;
	}
}

@media screen and (max-width: 600px) {
	.collection__titles .results {
		grid-template-columns: repeat(2, 1fr);
		grid-gap: 10px;
	}
}

@font-face {
	font-family: montserrat-bold;
	src: url(/res/fonts/montserrat-bold.ttf);
	font-display: swap;
}

@font-face {
	font-family: montserrat-regular;
	src: url(/res/fonts/montserrat-regular.ttf);
	font-display: swap;
}

html {
	/*scroll-behavior: smooth;*/
}

body {
    --font-bold : montserrat-bold, Helvetica, sans-serif;
    --font-regular : montserrat-regular, Helvetica, sans-serif;

	--color-blue: #096587;
	--color-blue-transparent: rgba(9, 101, 135, 0);
	--color-yellow: #E5BE01;
	--color-yellow-transparent: rgba(229, 190, 1, 0);
	--color-grey: #4a4a4a;
	--color-light-text: #999;

	--site-width: 1290px;
	--narrow-width: 1000px;
	--header-height: 130px;
	--header-height-pinned: 70px;
	--header-height-mobile: 70px;

	--zindex-youtube-max: 70; /* this is just for reference */
	--zindex-header: 100;
	--zindex-dropdown-menu: 200;
	--zindex-mobile-menu-overlay: 300;

	font-size: 16px;
	margin: 0;
	background-color: #fff;
	font-family: var(--font-regular);
}

form {
	margin: 0;
	padding: 0;
	text-align: left;
}

p {
	margin: 0;
	padding: 0;
}

a {
	text-decoration: none;
}

svg {
	display: block;
}

textarea, input, select, button {
	display: block;
	border-style: none;
	outline: none;
	font-family: var(--font-regular);
	padding: 0;
	margin: 0;
}

img {
	display: block;
}

.root__load-spinner {
	width: 100%;
	height: 100%;
	border: 5px solid #FFF;
	border-bottom-color: transparent;
	border-radius: 50%;
	display: block;
	box-sizing: border-box;

	animation: load-spinner-rotation 1s linear infinite;
}

@keyframes load-spinner-rotation {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

/******************************************************************************/

.movie__coming-soon:after {
    position: absolute;
    padding: 3px 6px 2px 6px;
    top: -5px;
    left: -5px;
    text-align: center;
    z-index: 1;
    color: #ffffff;
    background-color: #c12b2b;
    text-transform: uppercase;
    font-size: 16px;
    font-family: var(--font-bold);
    white-space: nowrap;
}

.movie__new {
	position: absolute;
	right: -5px;
	top: -5px;
	z-index: 1;
	width: 0;
	height: 0;
	border-width: 30px;
	border-style: solid;
	border-color: transparent;
	border-top-color: rgb(255, 200, 50);
	border-right-color: rgb(255, 200, 50);
}

.movie__new:after {
	content: '\2605';
	color: white;
	position: absolute;
	font-size: 30px;
	top: -30px;
}

/******************************************************************************/

.movie__grid {
}

.movie__grid > span {
	display: block;
	background-color: #ccc;
	padding-bottom: 145%;
}

.movie__grid > a {
	position: relative;
	padding-bottom: 145%;
	background-color: #ccc;
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
}

.movie__grid > a .title {
	position: absolute;
	left: 0;
	right: 0;
	bottom: -10px;
	padding: 10px;
	color: #fff;
	font-family: var(--font-bold);
	font-size: 16px;
	text-transform: uppercase;
	visibility: hidden;
	opacity: 0;
	z-index: 2;

	transition:
		opacity 0.2s ease,
		bottom 0.2s ease,
		visibility 0.2s ease;
}

.movie__grid > a:hover .title {
	bottom: 0;
	visibility: visible;
	opacity: 1;
}

.movie__grid > a .gradient {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-image: linear-gradient(0deg, var(--color-blue), var(--color-blue-transparent));
	z-index: 1;
	visibility: hidden;
	opacity: 0;

	transition:
		opacity 0.2s ease,
		visibility 0.2s ease;
}

.movie__grid > a:hover .gradient {
	visibility: visible;
	opacity: 1;
}

/******************************************************************************/

.collection__grid {
	position: relative;
	background-position: center;
	background-size: cover;
	height: 200px;
	display: flex;
	justify-content: flex-end;
	flex-direction: column;
	color: #fff;
	font-family: var(--font-bold);
	padding: 20px;
	text-shadow: 0 1px 2px #000;
}

.collection__grid .name {
	text-transform: uppercase;
	font-size: 20px;
	z-index: 2;
}

.collection__grid .description {
	font-size: 16px;
	margin-bottom: 40px;
	visibility: hidden;
	opacity: 0;
	z-index: 2;

	transition:
		margin-bottom 0.2s ease,
		opacity 0.2s ease,
		visibility 0.2s ease;
}

.collection__grid .hover {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-image: linear-gradient(0deg, var(--color-blue), var(--color-blue-transparent));
	z-index: 1;
	visibility: hidden;
	opacity: 0;

	transition:
		opacity 0.2s ease,
		visibility 0.2s ease;
}

.collection__grid:hover .hover {
	visibility: visible;
	opacity: 1;
}

.collection__grid:hover .description {
	visibility: visible;
	opacity: 1;
	margin-bottom: 15px;
}



.search__main {
	margin-top: 20px;
}

/******************************************************************************/

.search__form {
	margin-top: 30px;
	display: grid;
	grid-template-columns: 1fr 170px 170px;
	grid-column-gap: 20px;
}

.search__form .text .input {
	display: flex;
	padding-bottom: 5px;
	border-bottom: solid 1px var(--color-blue);
	align-items: center;
}

.search__form .text svg {
	width: 28px;
	height: 28px;
	fill: var(--color-blue);
	margin-right: 8px;
}

.search__form .text input {
	width: 100%;
	box-sizing: border-box;
	font-size: 16px;
	font-family: var(--font-regular);
	color: var(--color-blue);
}

.search__form .genres,
.search__form .years {
	display: flex;
	align-items: center;
	padding-bottom: 5px;
	border-bottom: solid 1px var(--color-blue);
}

.search__form .genres select,
.search__form .years select {
	width: 100%;
	box-sizing: border-box;
	font-size: 16px;
	font-family: var(--font-regular);
	color: var(--color-blue);
	background-color: #fff;
}

.search__form .genres select,
.search__form .genres option {
	text-transform: capitalize;
}

.search__form .search-mode {
	padding-top: 3px;
	display: flex;
	align-items: center;
}

.search__form .search-mode div:first-child {
	font-family: var(--font-bold);
	text-transform: uppercase;
	color: var(--color-light-text);
	font-size: 13px;
}

.search__form .search-mode label {
	margin-left: 20px;
	display: flex;
	align-items: center;
}

.search__form .search-mode label span {
	margin-left: 4px;
	color: var(--color-blue);
	font-size: 13px;
	text-transform: uppercase;
}

@media screen and (max-width: 1000px) {
	.search__form {
		grid-template-columns: 1fr 120px 120px;
	}
	.search__form .text .input {
		padding-bottom: 3px;
	}
	.search__form .text svg {
		width: 20px;
		height: 20px;
		margin-right: 5px;
	}
	.search__form .text input {
		font-size: 14px;
	}
	.search__form .genres,
	.search__form .years {
		padding-bottom: 3px;
	}
	.search__form .genres select,
	.search__form .years select {
		font-size: 14px;
	}
	.search__form .search-mode-label {
		display: none;
	}
	.search__form .search-mode label {
		margin-left: 15px;
	}
	.search__form .search-mode .first {
		margin-left: 0;
	}
	.search__form .search-mode label span {
		font-size: 12px;
	}
}

@media screen and (max-width: 800px) {
	.search__form {
		grid-template-columns: 1fr 1fr;
	}
	.search__form .text {
		grid-column: span 2;
	}
	.search__form .genres {
		padding-top: 15px;
		grid-row: 3;
	}
	.search__form .years {
		padding-top: 15px;
		grid-row: 3;
	}
	.search__form .search-mode {
		/*grid-column: span 2;*/
		/*grid-row: 2;*/
		display: none;
	}
}

/******************************************************************************/

.search__results {
	width: 100%;
	box-sizing: border-box;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.search__warning {
	margin-top: 20px;
	color: var(--color-light-text);
	text-align: center;
	font-size: 13px;
}

.search__count {
	color: var(--color-blue);
	margin-top: 30px;
}

.search__count span {
	font-family: var(--font-bold);
}

.search__results .movie__coming-soon:after {
    font-size: 14px;
}

.search__results .movie__new {
	border-width: 25px;
}

.search__results  .movie__new:after {
	font-size: 25px;
	top: -25px;
}

@media screen and (max-width: 800px) {
	.search__warning {
		display: none;
	}
}

/******************************************************************************/

.search__list {
	width: 100%;
	margin-top: 20px;
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
	grid-gap: 20px;
}

@media screen and (max-width: 1000px) {
	.search__list {
		grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
	}
}

@media screen and (max-width: 800px) {
	.search__list {
		grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
		grid-gap: 15px;
	}
}

@media screen and (max-width: 500px) {
	.search__list {
		grid-template-columns: repeat(2, 1fr);
		grid-gap: 10px;
	}
}


.homepage__main .collections {
	position: relative;
	width: 100%;
	max-width: var(--site-width);
	background-color: #eee;
	height: 500px;
	overflow: hidden;
}

.homepage__main .collections .dots {
	position: absolute;
	bottom: 30px;
	width: 100%;
	display: flex;
	justify-content: center;
}

.homepage__main .collections .dots > div {
	background-color: #fff;
	width: 12px;
	height: 12px;
	border-radius: 6px;
	margin-left: 15px;

	transition: background-color 0.2s ease;
}
.homepage__main .collections .dots > div:first-child {
	margin-left: 0;
}

.homepage__main .collections .dots > div:hover {
	cursor: pointer;
}

.homepage__main .collections .dots .active {
	background-color: var(--color-blue);
}

.homepage__main .scroller {
	height: 100%;
	width: 100%;
	display: flex;
	margin-left: 0;

	transition: margin-left 0.8s ease;
}

.homepage__main .no-transition {
	transition: margin-left 0s !important;
}

.homepage__main .collection {
	height: 100%;
	flex: 0 0 100%;
	background-size: cover;
	background-position: center;
	display: flex;
	align-items: center;
	justify-content: center;
}

.homepage__main .collection a {
	background-color: rgba(9, 101, 135, 0.5);
	padding: 30px 40px;
	color: #fff;

	transition: background-color 0.2s ease;
}

.homepage__main .collection a:hover {
	background-color: rgba(9, 101, 135, 0.7);
	color: var(--color-yellow);
	cursor: pointer;
}

.homepage__main .collection .name {
	text-transform: uppercase;
	font-family: var(--font-bold);
	font-size: 32px;
	text-align: center;
}

.homepage__main .collection .description {
	margin-top: 15px;
	font-size: 24px;
	text-align: center;
}

@media screen and (min-width: 600px) {
	.homepage__main .collections .dots > div:hover {
		background-color: var(--color-yellow);
	}
}

@media screen and (max-width: 600px) {
	.homepage__main .collection a {
		width: 100%;
		padding-left: 25px;
		padding-right: 25px;
	}
}

/******************************************************************************/

.homepage__main .titles {
	margin-top: 40px;
	padding: 0 20px;
}

.homepage__main .titles .header {
	display: flex;
	align-items: center;
}

.homepage__main .titles .header div:first-child,
.homepage__main .titles .header div:last-child {
	flex: 1;
}

.homepage__main .titles .header a {
	margin-left: 15px;
	display: flex;
	color: var(--color-yellow);
	align-items: center;
	font-size: 18px;
}

.homepage__main .titles .header a:hover {
	text-decoration: underline;
}

.homepage__main .titles .header svg {
	width: 16px;
	height: 16px;
	fill: var(--color-yellow);
	transform: rotate(-90deg);
	margin-left: 3px;
}

.homepage__main .titles .list {
	margin-top: 20px;
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
	grid-gap: 20px;
}

@media screen and (max-width: 1000px) {
	.homepage__main .titles .header {
		display: block;
	}
	.homepage__main .titles .header div:last-child {
		display: flex;
		justify-content: center;
	}
	.homepage__main .titles .header a {
		margin-top: 3px;
		margin-left: 0;
	}
}

@media screen and (max-width: 800px) {
	.homepage__main .titles .list {
		grid-gap: 15px;
	}
}

@media screen and (max-width: 600px) {
	.homepage__main .titles .list {
		grid-template-columns: repeat(2, 1fr);
		grid-gap: 10px;
	}
}

/******************************************************************************/

.homepage__main .trailers {
	margin-top: 60px;
	padding: 0 20px;
}

.homepage__main .trailers .body {
	margin-top: 20px;
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-gap: 20px;
}

.homepage__main .trailers .body div:first-child {
	grid-column: span 2;
	grid-row: span 2;
}

.homepage__main .trailers .body div {
	width: 100%;
	position: relative;
	padding-bottom: 56.25%;
	background-color: #ccc;
}

.homepage__main .trailers .body iframe {
	position: absolute;
	border: none;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

@media screen and (max-width: 850px) {
	.homepage__main .trailers .body {
		grid-template-columns: 1fr;
	}
	.homepage__main .trailers .body div:first-child {
		grid-column: span 1;
		grid-row: span 1;
	}
}

/******************************************************************************/

.homepage__main .info {
	margin-top: 60px;
	padding: 0 20px;
}

.homepage__main .info .body {
	margin-top: 20px;
	display: flex;
	align-items: center;
	flex-direction: column;
}

.homepage__main .info .body > div {
	width: 100%;
	max-width: 600px;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.homepage__main .info .text {
	line-height: 1.8;
	font-size: 20px;
	color: var(--color-light-text);
	padding-bottom: 30px;
	text-align: center;
}

.homepage__main .info a {
	margin-top: 10px;
	display: flex;
	color: var(--color-yellow);
	align-items: center;
}

.homepage__main .info a:hover {
	text-decoration: underline;
}

.homepage__main .info svg {
	width: 20px;
	height: 20px;
	fill: var(--color-yellow);
	transform: rotate(-90deg);
	margin-left: 3px;
}

.homepage__main .info .video > div {
	position: relative;
	background-color: #eee;
	width: 100%;
	padding-bottom: 56.25%;
}

.homepage__main .info .video iframe {
	position: absolute;
	border: none;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

@media screen and (max-width: 1000px) {
	.homepage__main .info .text {
		padding-bottom: 20px;
		font-size: 18px;
	}
	.homepage__main .info a {
		margin-top: 10px;
	}
}

@media screen and (max-width: 600px) {
	.homepage__main .info .text {
		line-height: 1.6;
		font-size: 16px;
	}
}

/******************************************************************************/

.homepage__main .studios {
	margin-top: 60px;
	padding: 0 20px;
}

.homepage__main .studios .logos {
	margin-top: 20px;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}

.homepage__main .studios .logos > div {
	flex: 0 0 160px;
	box-sizing: border-box;
	background-color: #eee;
	padding: 15px;
	margin: 8px;
}

.homepage__main .studios .logos > div > div {
	width: 100%;
	padding-bottom: 100%;
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
}

@media screen and (max-width: 600px) {
	.homepage__main .studios {
		padding: 0;
	}

	.homepage__main .studios .logos {
		flex-wrap: nowrap;
		overflow-x: auto;
		padding: 0 20px;
		justify-content: flex-start;
	}
}

/******************************************************************************/

.newsletter__main {
	padding-top: 20px;
}

.newsletter__main .form {
	padding-top: 40px;
	width: 100%;
	max-width: 500px;
	margin: 0 auto;
}

.newsletter__main .form .input {
}

.newsletter__main .form .input input {
	width: 100%;
	border-bottom: solid 1px var(--color-blue);
	font-family: var(--font-regular);
	font-size: 18px;
	padding-bottom: 3px;
	color: var(--color-blue);
}

.newsletter__main .form .actions {
	margin-top: 10px;
	display: flex;
	align-items: flex-start;
}

.newsletter__main .form label {
	flex: 1;
	display: flex;
	align-items: center;
}

.newsletter__main .form label span {
	user-select: none;
	margin-left: 5px;
	font-size: 13px;
}

.newsletter__main .form button {
	background-color: var(--color-blue);
	color: #fff;
	border-radius: 4px;
	text-transform: uppercase;
	font-family: var(--font-bold);
	padding: 7px 30px;
	font-size: 16px;
}

.newsletter__main .form button:hover {
	opacity: 0.8;
	cursor: pointer;
}

.newsletter__main .form button:disabled {
	background-color: var(--color-light-text);
	cursor: not-allowed;
}

@media screen and (max-width: 500px) {
	.newsletter__main .form .actions {
		display: block;
	}
	.newsletter__main .form .actions .button-wrapper {
		display: flex;
		justify-content: flex-end;
		padding-top: 15px;
	}
}

